Page 1 of 1

Could not load SSL library

Posted: Thu Jun 14, 2007 6:48 pm
by scoman81
I receive the error message "Could not load SSL library" each time I try to check my gmail account. This is my first time trying to set it up.

I have taken several screen shots of my configuration, could someome take a look and see if something looks amis? I have followed the excellent instructions provided by KY Dave for setting up a gmail account, but continue to get this error message.

The screenshots are here:

http://www.flightrealm.com/poptray/poptrayhelp.html

My suspicion is either that I have an old SSL DLL ('03) or that perhaps it is dependant on something I don't have installed?

Thanks in advance!
Dave

So, I'm the only one?

Posted: Wed Jul 11, 2007 9:07 am
by scoman81
Hmm, am I the only one who gets this message about not being able to load the SSL plugin?

Posted: Sun Oct 14, 2007 12:12 pm
by xiris
Same problem for me.
My setup is identical as shown in the screenshots od scoman81.

Installed plugin, set all checkboxes, re-started Poptray, still recieving error.

Anyone solved this issue?
TIA,
xiris

Posted: Sun Oct 14, 2007 8:09 pm
by Rdsok
Follow the instructions given here viewtopic.php?t=2874

NOTE... the plugin file needs installed in the Poptray\Plugins folder not in the actual Poptray folder which is what the original users screenshot shows was done.

Posted: Mon Oct 15, 2007 5:38 pm
by xiris
@Rdsok
I did follow the instructions, still I get the error.
I'm running a standard WinXP SP2 system, I don't have spaces in the path to Poptray )-:

Is there perhaps a cmd line switch to enable traces?

TIA,
xiris

Posted: Tue Oct 16, 2007 1:57 am
by scoman81
Rdsok wrote:NOTE... the plugin file needs installed in the Poptray\Plugins folder not in the actual Poptray folder which is what the original users screenshot shows was done.

Thanks for the reply. If you'll take a close look at the screenshot in my original post, you'll see that I do indeed have the DLL in the plugins folder. It was only placed in the exe folder *also*, as a result of trying to fix the error message saying that it couldn't be loaded.

Any other ideas would be greatly appreciated.

Posted: Fri Oct 19, 2007 11:50 am
by xiris
Hi guys,
I really would like to solve this issue...

Who tries to load this dll: poptray or the plugin itself?
Is their some trace available that can be activated?

I made sure to follow all hints for installation and installing these three files isn't that difficult - there must be a different reason.

TIA,
xiris

Posted: Sun Oct 28, 2007 11:16 am
by Renier
I don't see IndySSL in your directory. The files libeay32.dll and ssleay32.dll are needed for SSL to work. The plugin installer should install this if you check "Indy SSL".

Posted: Sun Oct 28, 2007 8:56 pm
by scoman81
Renier wrote:I don't see IndySSL in your directory.
You're exactly right - they weren't there. I re-ran the installer yet again, and got them installed to the exe's folder this time, and now POP3 SSL works!

Thanks!!

Posted: Wed Oct 31, 2007 8:24 pm
by xiris
Gee! I'm ashamed......
The installer say "(needed for SSL)" on the option for IndySSL :oops:

Thanks for having a look on scoman81's screenshots, Renier.
xiris

BTW: Interesing how wrong a google search on the error message 'Could not load SSL library' can lead. It came up with some dlls used by Vista's GUI but not needed by XP etc...